import { timeInterval as e } from "./interval.js";
import { durationMinute as t, durationSecond as n } from "./duration.js";
//#region ../../node_modules/d3-time/src/minute.js
var r = e((e) => {
	e.setTime(e - e.getMilliseconds() - e.getSeconds() * n);
}, (e, n) => {
	e.setTime(+e + n * t);
}, (e, n) => (n - e) / t, (e) => e.getMinutes());
r.range;
var i = e((e) => {
	e.setUTCSeconds(0, 0);
}, (e, n) => {
	e.setTime(+e + n * t);
}, (e, n) => (n - e) / t, (e) => e.getUTCMinutes());
i.range;
//#endregion
export { r as timeMinute, i as utcMinute };
